TULISAN - Feature #3487

[CRM] Tambah field Metode Pengiriman di page Checkout
03/07/2025 04:20 PM - haykal haykal

Status: Revise Start date: 03/07/2025
Priority: Urgent Due date: 03/12/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Shofwan,

Ingin ditambahkan juga field Metode Pengiriman di page checkout (posisinya seperti di foto yang diattach).

Jadi untuk field Alamat Pengiriman, Metode Pengiriman, dan Biaya Pengiriman sudah dibuat juga field-fieldnya di bagian header
document Sales Order.

Field-fieldnya yaitu ShippingAddress, ShippingMethod, dan ShippingCost

Terimakasih.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login.html
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 03/10/2025 09:20 AM - haykal haykal

Dan untuk Biaya Pengiriman itu dibebankan ke Customer. Jadi nilai Biaya Pengiriman yang diinput akan berpengaruh ke Total Amount yang dibayar
oleh Customer.

Terimakasih.

#2 - 03/10/2025 01:36 PM - haykal haykal
- File Biaya Pengiriman.PNG added

Wan, nanti informasi Biaya Pengiriman nya ditambahkan disini juga ya... (foto gw attach)

#3 - 03/10/2025 01:59 PM - Kezia Pawitra Yulianti
- Due date set to 03/12/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#4 - 03/11/2025 10:58 AM - shofwan shiddiq

- File clipboard-202503111057-gsqyz.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal
Alamat Pengiriman

Ruko Northridge Blok B2 No.6 J

Biaya Pengiriman

Rp 50.000 J

Total Pesanan 1Produk

Metode Pembayaran >
None

Rincian Pemesanan

Subtotal untuk produk Rp. 800,000,-
Diskon Rp.0,-
Biaya Pengiriman Rp. 50,000,-
Total Pembayaran Rp. 950,000,-

Total Price
Rp. 900,000,-

Dear Haykal, sudah ditambahkan.

Untuk perhitungan dari biaya pengiriman ke total amount itu ada di backend engine, bukan dari sisi CRM ya.

#5 - 03/11/2025 11:50 AM - haykal haykal
- File Metode Pengiriman blm ada.PNG added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Untk Metode Pengiriman bim ada ya Wan. Tlg field Metode Pengiriman dibuat diantara field Alamat Pengiriman dan Biaya Pengiriman.

Untk di Header document Sales Order (PTRSALESHEADER) telah ditambahkan juga field ShippingMethod.

Terimakasih.

#6 - 03/12/2025 10:37 AM - shofwan shiddiq

- File clipboard-202503121036-ma29e.png added
- File clipboard-202503121037-ysldi.png added

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

03/14/2025

2/4



Dear Haykal, metode pengiriman sudah ditambahkan yah, dan sudah save ke table header di field Shipping Method
Alamat Pengiriman

Tambahkan Alamat Pengiriman... (Optional) J

Biaya Pengiriman

Input Biaya Pengiriman J

Total Pesanan 1Produk

Metode Pembayaran >
None
Add Another Method

Rincian Pemesanan

Subtotal untuk produk Rp. 400,000,-

Diskon Rp.0,-

Biaya Pengiriman Rp.0-

Total Price
Rp. 400,000,
Checkout
v
B Results HE Messages

PriceValidFor RMRate MOQ LetterNumber DeliveryDate Remarks MNotes ShippingAddress ShippingMethod ETD  ShipmentRealization  ShippingCost  Shift
1 0.00 0.00 Record Generated From CRM  Ruko Northridge Blok B2 No 6 01 5000.00 1
S—

#7 - 03/12/2025 02:22 PM - haykal haykal
- File Metode Pengiriman harusnya gak default. PNG added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Wan, Ini yg Metode Pengiriman kalo bisa dibikin jangan ada defaultnya ya... Soalnya 'kan mungkin aja ada customer yg bayar di kasir (langsung ke
toko), jadinya gakperlu pake pengiriman.

#8 - 03/13/2025 04:56 PM - shofwan shiddiq
- File clipboard-202503131655-jhuo2.png added
- Assignee changed from shofwan shiddiq to haykal haykal
Alamat Pengiriman

Tambahkan Alomat Pengiriman... (Optional) J

Metode Pengiriman
]
Biaya Pengiriman

Input Biaya Pengiriman J

Total Pesanan 1 Produk

Metode Pembayaran >
None
Add Another Method

Rincian Pemesanan

Subtotal untuk produk Rp. 850,000,-
Diskon Rp.0,-
Biaya Pengiriman Rp.0,-

Total Price
Rp. 850,000,

Untuk yang gapake metode pengiriman pilih blank aja yah, sudah di ubah.
